GStreamer(1)

NAME
gst-md5sum - get an md5sum of a GStreamer pipeline through md5sink

SYNOPSIS
gst-md5sum [OPTION...] PARTIAL-PIPELINE-DESCRIPTION

DESCRIPTION

gst-md5sum is a tool that is used to get an md5 sum of a basic GStreamer pipeline. In theory, running
 gst-md5sum filesrc location=music.mp3 should print out the same md5sum as
  md5sum music.mp3 Make sure the pipeline given is a partial one, to which a sink still needs to be connected. See other docs, examples, and the source for description on how to create a PARTIAL-PIPELINE-DESCRIPTION.

OPTIONS
gst-md5sum accepts the following options:

--help
    Print help synopsis and available FLAGS

-v  Output verbose information

--gst-info-mask=FLAGS
    GStreamer info flags to set (list with --help)

--gst-debug-mask=FLAGS
    GStreamer debugging flags to set (list with --help)

--gst-mask=FLAGS
    GStreamer info and debugging flags to set (list with --help)

--gst-plugin-spew
    GStreamer info flags to set Enable printout of errors while loading GStreamer plugins

--gst-plugin-path=PATH
    Add directories separated with ':' to the plugin search path

SEE ALSO
gst-launch(1)

AUTHOR
The GStreamer team at http://gstreamer.net/